import request from '@/utils/request'

// 查询家长信息列表
export function listParentInfo(query) {
    return request({
        url: '/system/parentInfo/list',
        method: 'get',
        params: query
    })
}

// 查询家长信息详细
export function getParentInfo(id) {
    return request({
        url: '/system/parentInfo/' + id,
        method: 'get'
    })
}


// 修改家长信息
export function updateParentInfo(data) {
    return request({
        url: '/system/parentInfo/edit',
        method: 'post',
        data: data
    })
}

// 删除家长信息
export function delParentInfo(id) {
    return request({
        url: '/system/parentInfo/' + id,
        method: 'delete'
    })
}